// priority: 0

console.info('Hello, World! (You will only see this line once in console, during startup)')

onEvent('item.registry', event => {
	// Register new items here
	// event.create('example_item').displayName('Example Item')
	event.create('shining_star', item => {
		item.displayName('§6闪耀之星').tooltip('§7可用于兑换特殊物品').glow(true)
	  })
	event.create('sapphire', item => {
		item.displayName('§9蓝宝石').tooltip('§7稀有收集物品')
	  })
	event.create('bounty_task', item => {
		item.displayName('§6赏金单').tooltip('§7用于接受悬赏任务')
	  })
})

onEvent('block.registry', event => {
	// Register new blocks here
	// event.create('example_block').material('wood').hardness(1.0).displayName('Example Block')
})